/*
** Module   : SOAPFaultImpl.java
** Abstract : Implementation for the SOAP-FAULT resource.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --------------------------------Description-----------------------------------
** 001 CA  20130216 Created initial version.
*/

package com.goldencode.p2j.util;

/**
 * A class for implementing the SOAP-FAULT method and attributes.
 */
public class SOAPFaultImpl
extends HandleChain
implements SOAPFault,
           CommonHandleChain
{
   /**
    * The URI of the Web service actor that caused this SOAP-FAULT.
    * 
    * @return   See above.
    */
   public character getFaultActor()
   {
      // TODO: implement this
      return new character();
   }

   /**
    * The SOAP-FAULT-CODE of this SOAP-FAULT object.
    * 
    * @return   See above.
    */
   public character getFaultCode()
   {
      // TODO: implement this
      return new character();
   }

   /**
    * Returns the handle of the SOAP-FAULT-DETAIL associated with this SOAP-FAULT object.
    * 
    * @return   See above.
    */
   public handle getFaultDetail()
   {
      // TODO: implement this
      return new handle();
   }

   /**
    * The SOAP-FAULT-STRING of this SOAP-FAULT object.
    * 
    * @return   See above.
    */
   public character getFaultString()
   {
      // TODO: implement this
      return new character();
   }
   
   /**
    * Reports if this object is valid for use.  
    *
    * @return   <code>true</code> if we are valid (can be used).
    */
   public boolean isValid()
   {
      // TODO: implement this
      return false;
   }
}
